<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- Copyright -->
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:eb="http://www.oasis-open.org/committees/ebxml-msg/schema/msg-header-2_0.xsd">
	<!-- Tekstit alkavat -->
	<xsl:variable name="txtFEEDBACK">VIRHEPALAUTE</xsl:variable>
	<xsl:variable name="txtErrorInXML">Finvoiceack xml-tietosislt on tyhj tai virheellinen.</xsl:variable>
	<xsl:variable name="txtMessageId">Tunniste</xsl:variable>
	<xsl:variable name="txtTimestamp">Aikaleima</xsl:variable>
	<xsl:variable name="txtFromSender">Lhettjn osoite</xsl:variable>
	<xsl:variable name="txtFromIntermediator">Lhettjn vlittj</xsl:variable>
	<xsl:variable name="txtToReceiver">Vastaanottajan osoite</xsl:variable>
	<xsl:variable name="txtToIntermediator">Vastaanottajan vlittj</xsl:variable>
	<xsl:variable name="txtReasonCode">Virhekoodi</xsl:variable>
	<xsl:variable name="txtReasonText">Virheen selitys</xsl:variable>
	<xsl:variable name="txtRefToCounterpartMessage">Liitnnissanoman tunniste</xsl:variable>
	<xsl:variable name="txtOriginalMessage">LHETETTY SANOMA</xsl:variable>
	<xsl:variable name="txtAckMessage">PALAUTESANOMA</xsl:variable>
	<!-- Tekstit loppuivat -->
	<xsl:template match="/">
		<html>
			<head>
				<title><xsl:value-of select="$txtFEEDBACK"/></title>
				<style type="text/css">
					body {background-color: white;color:black;}
					h2 {letter-spacing:8px; z-index:2;}
					.centered {text-align:center;}
					.centered table {margin-left:auto; margin-right:auto; text-align:left;}
					td.title { font-weight:bold; white-space:nowrap; padding-right:1em; }
					td { text-align:left; vertical-align:top; }
				</style>
			</head>
			<body>
				<center><h2><xsl:value-of select="$txtFEEDBACK"/></h2></center>
				<br/>
				<div class="centered">
					<table cellpadding="0" border="0">
						<xsl:for-each select="/*[local-name()='Finvoiceack']/*[local-name()='Acknowledgement']">
							<xsl:call-template name="HandleFinvoiceack">
								<xsl:with-param name="refToCounterpartMessage" select="/*[local-name()='Finvoiceack']/*[local-name()='RefToCounterpartMessage']"/>
							</xsl:call-template>
						</xsl:for-each>
						<xsl:for-each select="/*[local-name()='Finvoiceack']/*[local-name()='Error']">
							<tr>
								<td class="title"><xsl:value-of select="$txtReasonCode"/>:</td>
								<td><xsl:value-of select="*[local-name()='Code']"/></td>
							</tr>
							<tr>
								<td class="title"><xsl:value-of select="$txtReasonText"/>:</td>
								<td>
									<xsl:for-each select="*[local-name()='Text']">
										<xsl:value-of select="."/><br/>
									</xsl:for-each>
								</td>
							</tr>
							<tr><td><br/></td></tr>
						</xsl:for-each>
						<xsl:for-each select="/*[local-name()='Finvoiceack']/*[local-name()='MessageTransmissionDetails']">
							<xsl:call-template name="ShowMessageData">
								<xsl:with-param name="titleTxt" select="$txtAckMessage"/>
								<xsl:with-param name="messageId" select="*[local-name()='MessageDetails']/*[local-name()='MessageIdentifier']"/>
								<xsl:with-param name="timestamp" select="*[local-name()='MessageDetails']/*[local-name()='MessageTimeStamp']"/>
								<xsl:with-param name="senderPartyId" select="*[local-name()='MessageSenderDetails']/*[local-name()='FromIdentifier']"/>
								<xsl:with-param name="senderIntermediatorPartyId" select="*[local-name()='MessageSenderDetails']/*[local-name()='FromIntermediator']"/>
								<xsl:with-param name="receiverPartyId" select="*[local-name()='MessageReceiverDetails']/*[local-name()='ToIdentifier']"/>
								<xsl:with-param name="receiverIntermediatorPartyId" select="*[local-name()='MessageReceiverDetails']/*[local-name()='ToIntermediator']"/>
							</xsl:call-template>
						</xsl:for-each>
					</table>
				</div>
			</body>
		</html>
	</xsl:template>

	<xsl:template name="HandleFinvoiceack">
		<xsl:param name="refToCounterpartMessage"/>
		<xsl:call-template name="ShowMessageData">
			<xsl:with-param name="titleTxt" select="$txtOriginalMessage"/>
			<xsl:with-param name="messageId" select="*[local-name()='MessageData']/eb:MessageId"/>
			<xsl:with-param name="timestamp" select="*[local-name()='MessageData']/eb:Timestamp"/>
			<xsl:with-param name="senderPartyId" select="eb:From[eb:Role='Sender']/eb:PartyId"/>
			<xsl:with-param name="senderIntermediatorPartyId" select="eb:From[eb:Role='Intermediator']/eb:PartyId"/>
			<xsl:with-param name="receiverPartyId" select="eb:To[eb:Role='Receiver']/eb:PartyId"/>
			<xsl:with-param name="receiverIntermediatorPartyId" select="eb:To[eb:Role='Intermediator']/eb:PartyId"/>
		</xsl:call-template>
		<xsl:call-template name="ShowFinvoiceack">
			<xsl:with-param name="refToCounterpartMessage" select="$refToCounterpartMessage"/>
			<xsl:with-param name="reasonCode" select="*[local-name()='Reason']/*[local-name()='Code']"/>
			<xsl:with-param name="reasonText1" select="*[local-name()='Reason']/*[local-name()='Text'][1]"/>
			<xsl:with-param name="reasonText2" select="*[local-name()='Reason']/*[local-name()='Text'][2]"/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template name="ShowFinvoiceack">
		<xsl:param name="refToCounterpartMessage"/>
		<xsl:param name="reasonCode"/>
		<xsl:param name="reasonText1"/>
		<xsl:param name="reasonText2"/>
		<xsl:if test="string-length($refToCounterpartMessage) != 0">
			<tr>
				<td class="title"><xsl:value-of select="$txtRefToCounterpartMessage"/>:</td>
				<td><xsl:value-of select="$refToCounterpartMessage"/></td>
			</tr>
			<tr><td><br/></td></tr>
		</xsl:if>
		<tr>
			<td class="title"><xsl:value-of select="$txtReasonCode"/>:</td>
			<td><xsl:value-of select="$reasonCode"/></td>
		</tr>
		<tr>
			<td class="title"><xsl:value-of select="$txtReasonText"/>:</td>
			<td>
				<xsl:value-of select="$reasonText1"/>
				<xsl:if test="string-length(normalize-space($reasonText1)) != 0">
					<br/><xsl:value-of select="$reasonText2"/>
				</xsl:if>
			</td>
		</tr>
		<tr><td><br/></td></tr>
	</xsl:template>
	
	<xsl:template name="ShowMessageData">
		<xsl:param name="titleTxt"/>
		<xsl:param name="messageId"/>
		<xsl:param name="timestamp"/>
		<xsl:param name="senderPartyId"/>
		<xsl:param name="senderIntermediatorPartyId"/>
		<xsl:param name="receiverPartyId"/>
		<xsl:param name="receiverIntermediatorPartyId"/>
		<tr>
			<td class="title" colspan="2"><xsl:value-of select="$titleTxt"/></td>
		</tr>
		<tr>
			<td class="title"><xsl:value-of select="$txtMessageId"/>:</td>
			<td><xsl:value-of select="$messageId"/></td>
		</tr>
		<tr>
			<td class="title"><xsl:value-of select="$txtTimestamp"/>:</td>
			<td><xsl:value-of select="$timestamp"/></td>
		</tr>
		<tr>
			<td class="title"><xsl:value-of select="$txtFromSender"/>:</td>
			<td><xsl:value-of select="$senderPartyId"/></td>
		</tr>
		<tr>
			<td class="title"><xsl:value-of select="$txtFromIntermediator"/>:</td>
			<td><xsl:value-of select="$senderIntermediatorPartyId"/></td>
		</tr>
		<tr>
			<td class="title"><xsl:value-of select="$txtToReceiver"/>:</td>
			<td><xsl:value-of select="$receiverPartyId"/></td>
		</tr>
		<tr>
			<td class="title"><xsl:value-of select="$txtToIntermediator"/>:</td>
			<td><xsl:value-of select="$receiverIntermediatorPartyId"/></td>
		</tr>
		<tr><td><br/></td></tr>
	</xsl:template>
</xsl:stylesheet>
